HelpItemList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class HelpItemList

    java.lang.Object
      com.fenalco.entities.HelpItemList

    public class HelpItemList

extends java.lang.Object

Esta clase representa una lista de items de ayuda

Author:
  Mario Linares Vásquez

Field Summary
`private java.util.Hashtable` | `items` Es un Hashtable que tiene como llave un int que representa el id del item, el objeto es de tipo `HelpItem`

Constructor Summary
`HelpItemList()` Constructor por defecto de la clase HelpItemList

Method Summary
`java.util.Hashtable` | `getItems()` Consultor para el atributo items.
`boolean` | `loadData()` Hace una consulta en la tabla ayuda por medio del método `query` de la clase `SqlUtilities` para cargar la lista de parámetros y llenar la variable items con los items de ayuda del sistema
`void` | `setItems(java.util.Hashtable items)` Modificador para el atributo items.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### items

    private java.util.Hashtable items

  Es un Hashtable que tiene como llave un int que representa el id del item, el objeto es de tipo `HelpItem`

Constructor Detail

### HelpItemList

    public HelpItemList()

  Constructor por defecto de la clase HelpItemList

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla ayuda por medio del método `query` de la clase `SqlUtilities` para cargar la lista de parámetros y llenar la variable items con los items de ayuda del sistema

  Returns:
    booleano que indica si la operación fué exitosa

### getItems

    public java.util.Hashtable getItems()

  Consultor para el atributo items.

  Returns:
    Valor del atributo items.

### setItems

    public void setItems(java.util.Hashtable items)

  Modificador para el atributo items.

  Parameters:
    `items` - Nuevo valor para el atributo items.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD